POST
/product/202309/products/recover
Recover products that are in the Deleted status. The status changes to Seller_deactivated after recovery.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
product_ids
required
The product IDs to recover. Max number of IDs: 20.
Array<string>
Example
{ "product_ids": [ "1729592969712207008" ]}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
errors
The errors for individual products that could not be recovered. Check this list even when the top-level code is 0.
Array<object>
object
code
The error code.
integer format: int64
message
A human-readable error message.
string
detail
Additional detail about the product showcase addition error.
object
product_id
The product identifier.
string
Example
{ "code": 0, "data": { "errors": [ { "code": 12052048, "message": "You can't edit other sellers' products", "detail": { "product_id": "1729382588639839583" } } ] }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}